MII-TOOL(8)

BEZEICHNUNG
mii-tool - Medien-unabhängigen Schnittstellenstatus betrachten und verändern

ÜBERSICHT
mii-tool [-v, --verbose] [-V, --version] [-R, --reset] [-r, --restart] [-w, --watch] [-l, --log] [-A, --advertise=Medien,…] [-F, --force=Medien] [-p, --phy=Adr] Schnittstelle …

BESCHREIBUNG
Dieses Hilfswerkzeug prüft oder setzt den Status der Medien-unabhängigen-Schnittstelle-Einheit (MII) einer Netzwerkschnittstelle. Die meisten schnellen Ethernet-Adapter verwenden ein MII, um die Link-Geschwindigkeit und die Duplex-Einstellungen automatisch auszuhandeln.

Die meisten intelligenten Netzwerkgeräte verwenden ein Protokoll zur automatischen Kommunikation über die von ihnen unterstützten Medien-Techniken und wählen dann die schnellste gegenseitig unterstützte Medien-Technik aus. Die Optionen -A oder --advertise können dazu verwandt werden, dem MII mitzuteilen, nur eine Teilmenge seiner Fähigkeiten bekanntzugeben. Einige passive Geräte, wie Hubs mit nur einer Geschwindigkeit, beherrschen keine automatische Aushandlung. Um mit solchen Geräten umzugehen, erlaubt das MII-Protokoll auch die Etablierung eines Links durch einfache Erkennung des Herzschlags eines 10baseT- oder 100baseT-Links. Die Optionen -F oder --force können zum Erzwingen eines Betriebsmodus des MII verwandt werden, wodurch keine automatische Aushandlung erfolgt. Die Optionen -A und -F schließen sich gegenseitig aus.

Die standardmäßige kurze Ausgabe meldet die ausgehandelte Link-Geschwindigkeit und den Link-Status für jede Schnittstelle.

OPTIONEN

-v, --verbose
    Zeigt detailliertere MII-Statusinformationen. Falls dies zweimal angegeben wird, werden auch die rohen MII-Registerinhalte angezeigt.
    Warnung: Falls diese Option dreimal angegeben wird, wird das Auslesen aller MII-Register, auch der nicht standardisierten, erzwungen. Hierbei gibt es keine Garantie, dass eine gültige Antwort vom PHY erhalten wird, wobei die PHY-Kommunikation sich sogar aufhängen kann. Beim Treiber e1000e kommt es zum Fehlschlag, während das Register 0x07 ausgelesen wird.

-V, --version
    Zeigt die Programmversion an.

-R, --reset
    Setzt den MII auf seine Standardkonfiguration zurück.

-r, --restart
    Startet die automatische Aushandlung neu.

-w, --watch
    Beobachtet Schnittstelle(n) und meldet Änderungen am Link-Status. Die MII-Schnittstellen werden einmal pro Sekunde abgefragt.

-l, --log
    Berichtet bei der Verwendung mit -w Link-Statusänderungen in das Systemprotokoll anstatt sie auf der Standardausgabe auszugeben.

-F Medien, --force=Medien
    Deaktiviert die automatische Aushandlung und erzwingt MII auf den Betrieb in entweder 100baseTx-FD, 100baseTx-HD, 10baseT-FD oder 10baseT-HD.

-A Medien,…, --advertise=Medien,…
    Aktiviert die automatische Aushandlung, startet sie neu und bewirbt die angegebenen Medien-Techniken. Mehrere Techniken sollten durch Kommata getrennt werden. Gültige Medien sind 100baseT4, 100baseTx-FD, 100baseTx-HD, 10baseT-FD und 10baseT-HD.

-p Adr, --phy=Adr
    Setzt die durch den Kernel bereitgestellte MII-Adresse durch den Wert Adr außer Kraft.

DIAGNOSE

SIOCGMIIPHY on 'eth?' failed: Invalid argument
    Falls die Schnittstelle nicht im Betrieb (oben) ist, wird der Kernel es ablehnen, ihren Link-Zustand zu melden.

SIOCGMIIPHY on 'eth?' failed: Operation not permitted
    Die meisten Kernel beschränken den Zugriff auf root.

SIOCGMIIPHY on 'eth?' failed: No such device
    Dieser Fehler wird angezeigt, falls der Kernel nichts über das genannte Gerät weiß.

SIOCGMIIPHY on 'eth?' failed: Operation not supported
    Die in Frage stehende Schnittstelle unterstützt keine MII-Abfragen. Höchstwahrscheinlich hat sie überhaupt keine MII-Sendeempfänger.

AUTOREN
David Hinds - dhinds@pcmcia.sourceforge.org
Donald Becker - becker@scyld.com
Bernd Eckenfels - net-tools@lina.inka.de

SIEHE AUCH
http://net-tools.sourceforge.net - Homepage des Projekts net-tools

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.